/** @type {import("prettier").Config} */
module.exports = {
  plugins: [
    require.resolve('prettier-plugin-curly'),
    require.resolve('prettier-plugin-packagejson'),
    require.resolve('@ianvs/prettier-plugin-sort-imports'),
  ],
  overrides: [
    {
      files: '.nvmrc',
      options: {
        parser: 'yaml',
      },
    },
  ],
  arrowParens: 'avoid',
  bracketSpacing: false,
  embeddedLanguageFormatting: 'auto',
  endOfLine: 'lf',
  htmlWhitespaceSensitivity: 'css',
  insertPragma: false,
  jsxSingleQuote: false,
  printWidth: 80,
  proseWrap: 'always',
  quoteProps: 'as-needed',
  requirePragma: false,
  semi: false,
  singleQuote: true,
  tabWidth: 2,
  trailingComma: 'all',
  useTabs: false,
  importOrder: [
    '',
    '^(react/(.*)$)|^(react$)',
    '^(next/(.*)$)|^(next$)|^(@next/(.*)$)',
    '<THIRD_PARTY_MODULES>',
    '',
    '^types$',
    '',
    '^(@/|~/)',
    '',
    '^[./]',
    '',
  ],
}
